Developers
V1CommunityChallengesId

Challenge details and your current enrollment, if signed in

GET
/v1/community/challenges/{id}

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/v1/community/challenges/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "challenge": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",    "clubId": "4836dcb0-4b52-43b6-8d75-7f08a8fbf3a0",    "title": "string",    "summary": "string",    "coverImage": {      "url": "http://example.com",      "alt": "string",      "source": "ai_generated"    },    "startsAt": "2019-08-24T14:15:22Z",    "endsAt": "2019-08-24T14:15:22Z",    "metric": "steps",    "rules": "string",    "memberCount": 0,    "enrollment": {      "participantId": "9f6624b5-5f99-42b6-899f-30f2b369cbd7",      "alias": "string",      "joinedAt": "2019-08-24T14:15:22Z",      "countingFrom": "2019-08-24T14:15:22Z",      "shareLeaderboard": true,      "sharePublicDisplay": true,      "steps": 0,      "measuredAt": "2019-08-24T14:15:22Z",      "provisional": true,      "rewardEligible": false    },    "provisional": true,    "rewardEligible": false  }}